Subject: Re: bug#73386: [PATCH] Fix keybinding support for *-auto-reveal

From: Paul Nelson <[email-masked]>
Date: Thu, 26 Sep 2024 20:43:04 +0200

Seems fine on my end, so I've attached the updated patch.

Thanks, best,
Paul

On Wed, Sep 25, 2024 at 10:05 AM Arash Esbati <[email-masked]> wrote:
>
> Paul Nelson <[email-masked]> writes:
>
> >> Thanks.  I have one question: Is it possible to set the LEXICAL argument
> >> of `eval' to t?
> >
> > If I understand correctly, your suggestion is to use something like
> > the following?
>
> Yes, plus the one addition below.
>
> > (defcustom preview-auto-reveal
> >       '(eval . ((apply #'preview-arrived-via
> >                        (mapcar (lambda (cmd)
> >                                  (if (and (listp cmd) (eq (car cmd) 'key-binding))
> >                                      (eval cmd)
>                                        (eval cmd t)
> >                                    cmd))
> >                                preview-auto-reveal-commands))
> >                 t))
> > ...)
> >
> > I assume this will have no effect, but would be happy to test it out
> > for a couple days.
>
> Great, thanks, looking forward to your feedback.
>
> Best, Arash